Debian Bug report logs - #628988
haskell-persistent: useless description

version graph

Package: src:haskell-persistent; Maintainer for src:haskell-persistent is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Ansgar Burchardt <ansgar@debian.org>

Date: Thu, 2 Jun 2011 19:48:01 UTC

Severity: important

Found in version haskell-persistent/0.3.1.3-1

Fixed in version haskell-persistent/0.5.1-1

Done: Clint Adams <clint@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#628988; Package src:haskell-persistent. (Thu, 02 Jun 2011 19:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Thu, 02 Jun 2011 19:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: submit@bugs.debian.org
Subject: haskell-persistent: useless description
Date: Thu, 02 Jun 2011 21:44:27 +0200
Source: haskell-persistent
Version: 0.3.1.3-1
Severity: important

The package description for haskell-persistent reads

 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides just the general interface and helper functions.
 You must use a specific backend in order to make this useful.

It includes no information about this specific package at all.  Please
write something more informative there.

Regards,
Ansgar




Added tag(s) pending. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sat, 04 Jun 2011 11:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#628988; Package src:haskell-persistent. (Sat, 04 Jun 2011 11:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 04 Jun 2011 11:27:10 GMT) Full text and rfc822 format available.

Message #12 received at 628988@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Clint Adams <clint@debian.org>
Cc: debian-haskell@lists.debian.org, 628988@bugs.debian.org, 628989@bugs.debian.org
Subject: Re: haskell-mtlparse in the DHG
Date: Sat, 04 Jun 2011 13:23:34 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Samstag, den 04.06.2011, 04:34 +0000 schrieb Clint Adams:
> On Sat, Jun 04, 2011 at 12:00:30AM +0200, Joachim Breitner wrote:
> > Also (in case you are not subscribe to pkg-haskell-maintainers, which
> > you probably should, and while you are at it, pkg-haskell-commits is
> > also useful), there are two bugs reported against your recently uploaded
> > packages:
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=628988
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=628989
> 
> The descriptions are from Hackage.  I have nothing better to offer
> since I don't really know what they do.

hmm, I’d say it’s part of the job as a Debian maintainer to (at least
roughly) know what the package does, or to find it out :-). In these
cases it helps to look around and read on related packages (e.g. wai for
wai-extra).

I came up with something and pushed it to the Darcs repo and marked the
bugs as pending.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Reply sent to Clint Adams <clint@debian.org>:
You have taken responsibility. (Sat, 03 Sep 2011 19:03:04 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@debian.org>:
Bug acknowledged by developer. (Sat, 03 Sep 2011 19:03:04 GMT) Full text and rfc822 format available.

Message #17 received at 628988-close@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 628988-close@bugs.debian.org
Subject: Bug#628988: fixed in haskell-persistent 0.5.1-1
Date: Sat, 03 Sep 2011 19:02:25 +0000
Source: haskell-persistent
Source-Version: 0.5.1-1

We believe that the bug you reported is fixed in the latest version of
haskell-persistent, which is due to be installed in the Debian FTP archive:

haskell-persistent_0.5.1-1.debian.tar.gz
  to main/h/haskell-persistent/haskell-persistent_0.5.1-1.debian.tar.gz
haskell-persistent_0.5.1-1.dsc
  to main/h/haskell-persistent/haskell-persistent_0.5.1-1.dsc
haskell-persistent_0.5.1.orig.tar.gz
  to main/h/haskell-persistent/haskell-persistent_0.5.1.orig.tar.gz
libghc-persistent-dev_0.5.1-1_amd64.deb
  to main/h/haskell-persistent/libghc-persistent-dev_0.5.1-1_amd64.deb
libghc-persistent-doc_0.5.1-1_all.deb
  to main/h/haskell-persistent/libghc-persistent-doc_0.5.1-1_all.deb
libghc-persistent-prof_0.5.1-1_amd64.deb
  to main/h/haskell-persistent/libghc-persistent-prof_0.5.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628988@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <clint@debian.org> (supplier of updated haskell-persistent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 02 Sep 2011 23:18:57 -0400
Source: haskell-persistent
Binary: libghc-persistent-dev libghc-persistent-prof libghc-persistent-doc
Architecture: source all amd64
Version: 0.5.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Clint Adams <clint@debian.org>
Description: 
 libghc-persistent-dev - type-safe, non-relational, multi-backend persistence
 libghc-persistent-doc - type-safe, non-relational, multi-backend persistence; documentati
 libghc-persistent-prof - type-safe, non-relational, multi-backend persistence; profiling l
Closes: 628988
Changes: 
 haskell-persistent (0.5.1-1) unstable; urgency=low
 .
   [ Joachim Breitner ]
   * Extend description (Closes: #628988)
 .
   [ Clint Adams ]
   * New upstream version.
Checksums-Sha1: 
 2eb7a000c2f956e783ff498e11592d9c5897241a 2719 haskell-persistent_0.5.1-1.dsc
 05169d2f97b009f445bf682c47a5744d425e3eeb 17376 haskell-persistent_0.5.1.orig.tar.gz
 399b470663bfdde1908a65da7fcd446705c311ce 2283 haskell-persistent_0.5.1-1.debian.tar.gz
 61ecf5d364f8d0b721c265491d17d66c73f19d37 81458 libghc-persistent-doc_0.5.1-1_all.deb
 33c4eadfe49d35c253c2007d8d46103f635b750d 337874 libghc-persistent-dev_0.5.1-1_amd64.deb
 b5e4c292e48c67ffd8c9a3e4b2d3446ca77ae139 363954 libghc-persistent-prof_0.5.1-1_amd64.deb
Checksums-Sha256: 
 f70cb6eb8b2fa5362e56881cb4e1122e5d0178811ce3f62064079828e0d78801 2719 haskell-persistent_0.5.1-1.dsc
 4dff5cc792a90c1a414d4dadf7b8960dd922fecc4909c3012ee1a714372a05d4 17376 haskell-persistent_0.5.1.orig.tar.gz
 ec11171f9b67e538734724ac1435fe04cdd79de2852a9f210c069ada49a90944 2283 haskell-persistent_0.5.1-1.debian.tar.gz
 9115b34251e49709a4a9325f4a01a35557374db855b6c275fbd794c1effab5c7 81458 libghc-persistent-doc_0.5.1-1_all.deb
 9b7db7cdb2f0761c1aff61021bba5a67c9945b0bea433e40963341a523f8797d 337874 libghc-persistent-dev_0.5.1-1_amd64.deb
 d84616e4f9e46cbb5296f6a7b9501374352aeaea4d3aac7af25c2ce52b9c4f76 363954 libghc-persistent-prof_0.5.1-1_amd64.deb
Files: 
 7d6d7b58694b48e6bfc8cbf46670e14c 2719 haskell extra haskell-persistent_0.5.1-1.dsc
 3d4a801e55c310fbaa8a9d73daf5e49f 17376 haskell extra haskell-persistent_0.5.1.orig.tar.gz
 79413d3744de98603c471512b1ba84b6 2283 haskell extra haskell-persistent_0.5.1-1.debian.tar.gz
 0ec6614e3e44782ff7975aa8389bcd12 81458 doc extra libghc-persistent-doc_0.5.1-1_all.deb
 791341de7e54d6db4eaf650e23ea9892 337874 haskell extra libghc-persistent-dev_0.5.1-1_amd64.deb
 9825d2aeed9799a64e68b6908c3e56c1 363954 haskell extra libghc-persistent-prof_0.5.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJOYnllAAoJEFWSMx4ZnTioz7kQAJYv7tAxMtgyhDkreLGrEV2o
r/FE9oBGU5dxVWf/5tctctrEAxcXpVwj3kYONSazXtSvdERGiioOzNIDIliSTikq
Y02nwBtmImmxRHhJgKxi3VVRS4GsSGuyZfxNGtul2exCAUpAKxbadxGRP3tCZjPH
3AGNwPGPkPp1BuE4YN5X4rcsSZkCpOWKbQQoTCR5It0tJ2iKFNxB69UnXiwFF4h8
g/Rgo8/lJIUQ2iWGjZQ+pmf4uLLD5pnkoGiXnmyLti0PdbpSuM/ECb7cLUzNA6kE
Z9g1erUVeFvlb87gh/HKGGDLKCCFdYBtWxiBl8c2nB/U+E2qFMgmEf6i5DBne1d8
UMFo1pBIHH24zQd3de3kHXNagdKkitUmBV9QDbaAyK1i8vMSnN5FrmDVN/Y+DjMB
V9KpYs+XcJA+AD+z1Rj4i64wc8HK+uZhSUCyoca7HDe1POmQj5VSOPGuDWjFGqpE
ND9dIN607n66asDcBvipufiLFHk/FAT4+af9O2nusaDKFfqqxrtLTcN1ejrmT4b8
ysk4q4mByZ2hqIgm4F2uAbUgFl1vujZyAbsywErpLVQhCSeBxc75qd2MHW/03P3E
+Iw74TJBGmgLthQru994KVx8cda1ZB8j8GYCKifQKFiT1C3nWefvjm+urpkTHGgK
sqZZRrKgmTBb3QM4pXzf
=TRI9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Jan 2012 07:37:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:09:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.